Bug 226507 - x11/polybar: Many fixes.
Summary: x11/polybar: Many fixes.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias Kortkamp
URL: https://reviews.freebsd.org/D14644
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2018-03-10 23:27 UTC by Alexandre C. Guimarães
Modified: 2018-05-12 07:12 UTC (History)
1 user (show)

See Also:
koobs: maintainer-feedback? (rigoletto)


Attachments
Many fixes. (3.09 KB, patch)
2018-05-01 04:30 UTC, Alexandre C. Guimarães
no flags Details | Diff
testport: OK (poudriere: 3.2.6, AMD64 tested) (127.96 KB, text/x-log)
2018-05-01 05:41 UTC, Alexandre C. Guimarães
no flags Details
Many fixes. (2.59 KB, patch)
2018-05-01 06:52 UTC, Alexandre C. Guimarães
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alexandre C. Guimarães freebsd_committer 2018-03-10 23:27:09 UTC
Hi.

https://reviews.freebsd.org/D14644

Thanks!
Comment 1 Bugzilla Automation freebsd_committer 2018-03-10 23:27:09 UTC
Maintainer informed via mail
Comment 2 Alexandre C. Guimarães freebsd_committer 2018-04-17 20:55:14 UTC
Can we get a time-out in here?
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2018-05-01 04:06:03 UTC
Maintainer does not have an account (matching port MAINTAINER email) in bugzilla.

@Alexandre, per our IRC chat, please:

1) attach the review changes into a patch (attachment) here so it can be approved (maintainer timeout)
2) Confirm QA (poudriere) passes
Comment 4 Alexandre C. Guimarães freebsd_committer 2018-05-01 04:30:36 UTC
Created attachment 192945 [details]
Many fixes.

- remove ALSA from OPTIONS_DEFAULT (broken)
- add mpd to working modules list (tested)
- add menu to working modules (tested)
- add xworkspaces to working modules (not extensively tested)
- add github to working modules (tested)
- add TESTS OPTION
- fix IPC_DESC. That is a built-in IPC, not i3 related
- move cpu, memory and others modules to broken (tested)
- while here do some alphabetizing
Comment 5 Alexandre C. Guimarães freebsd_committer 2018-05-01 05:41:26 UTC
Created attachment 192946 [details]
testport: OK (poudriere: 3.2.6, AMD64 tested)

portlint -AC

>>>>>>>>>>>>>>>>>>>>>>>>
WARN: Makefile: new ports should not set PORTREVISION.
WARN: /usr/ports/x11/polybar/pkg-message: possible use of absolute pathname "/sys/class/thermal/*".
>>>>>>>>>>>>>>>>>>>>>>>>

The second WARN is related with the explanation about why the temperature module is broken.

Thanks! :)
Comment 6 Alexandre C. Guimarães freebsd_committer 2018-05-01 06:52:41 UTC
Created attachment 192953 [details]
Many fixes.

Same as before but without the distinfo diff what was just changing timestamps.

Thanks.
Comment 7 commit-hook freebsd_committer 2018-05-12 07:12:20 UTC
A commit references this bug:

Author: tobik
Date: Sat May 12 07:11:23 UTC 2018
New revision: 469708
URL: https://svnweb.freebsd.org/changeset/ports/469708

Log:
  x11/polybar: Disable ALSA by default

  It's broken on FreeBSD.

  - More modules have been tested; update pkg-message accordingly
  - Add TESTS option to build and run the unit tests
  - Fix IPC_DESC. It's built-in IPC and not i3 related.
  - Sort LIB_DEPENDS

  PR:		226507
  Submitted by:	Alexandre C. Guimar?es <lebarondemerde@privacychain.ch> (based on)
  Approved by:	capt_redbeard@protonmail.com (maintainer timeout, 2 months)
  Differential Revision:	https://reviews.freebsd.org/D14644

Changes:
  head/x11/polybar/Makefile
  head/x11/polybar/pkg-message